import { is } from "@intelligentgraphics/ig.utilities";
import { IGXA } from "@intelligentgraphics/igd.core";
export function getItemId(item) {
    return item.ID;
}
export const isFolderLike = is(item => item &&
    (item.Type === IGXA.EItemType.Folder ||
        item.Type === IGXA.EItemType.MultiArticle));
export const isArticleLike = is(item => item &&
    (item.Type === IGXA.EItemType.ArticleCom ||
        item.Type === IGXA.EItemType.ArticleGfx));
export const isSetLike = is(item => item && item.Type === IGXA.EItemType.Set);
